#!/bin/sh

CONF=Distribution
NAME=ESKnot
ITUNESART=icon/icon-itunes.jpg
METADATA=metadata.plist

#xcodebuild -sdk iphoneos2.0 -configuration $CONF clean build

mkdir -p Payload
cp -pR build/$CONF-iphoneos/$NAME.app Payload
FILES=Payload
if [ "$ITUNESART" != "" ]; then
	cp $ITUNESART iTunesArtwork
	FILES="$FILES iTunesArtwork"
fi
if [ "$METADATA" != "" ]; then
	cp $METADATA iTunesMetadata.plist
	FILES="$FILES iTunesMetadata.plist"
fi
rm -f $NAME.ipa
zip -9ry $NAME.ipa $FILES
rm -rf $FILES

